# Package org.apache.catalina.ha.tcp

package org.apache.catalina.ha.tcp

- Related Packages
  Package
  Description
  org.apache.catalina.ha
  This package contains code for Clustering, the base class of a Cluster is `org.apache.catalina.Cluster` implementations of this class is done when implementing a new Cluster protocol
  org.apache.catalina.ha.authenticator
  org.apache.catalina.ha.backend
  org.apache.catalina.ha.context
  org.apache.catalina.ha.deploy
  org.apache.catalina.ha.session
- Classes
  Class
  Description
  Constants
  Manifest constants for the `org.apache.catalina.ha.tcp` package.
  ReplicationValve
  Implementation of a Valve that logs interesting contents from the specified Request (before processing) and the corresponding Response (after processing).
  SendMessageData
  SimpleTcpCluster
  A Cluster implementation using simple multicast.